diff -pruN 6.0.0-1/.gitignore 6.3.0-1/.gitignore
--- 6.0.0-1/.gitignore	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/.gitignore	2024-05-31 13:23:53.000000000 +0000
@@ -16,6 +16,7 @@ Makefile
 avail
 random_seed
 /build*/
+/.vscode/
 CMakeLists.txt.user*
 *.unc-backup*
 .cmake/
diff -pruN 6.0.0-1/.kde-ci.yml 6.3.0-1/.kde-ci.yml
--- 6.0.0-1/.kde-ci.yml	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/.kde-ci.yml	2024-05-31 13:23:53.000000000 +0000
@@ -5,4 +5,4 @@ Dependencies:
 
 Options:
   test-before-installing: True
-  require-passing-tests-on: [ 'Linux', 'FreeBSD' ]
+  require-passing-tests-on: [ 'Linux', 'FreeBSD', 'Windows' ]
diff -pruN 6.0.0-1/CMakeLists.txt 6.3.0-1/CMakeLists.txt
--- 6.0.0-1/CMakeLists.txt	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/CMakeLists.txt	2024-05-31 13:23:53.000000000 +0000
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.0.0") # handled by release scripts
+set(KF_VERSION "6.3.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.0.0  NO_MODULE)
+find_package(ECM 6.3.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -98,7 +98,7 @@ ecm_setup_version(PROJECT
     SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.5
+    QT 6.7
 )
 
 
diff -pruN 6.0.0-1/autotests/karchivetest.cpp 6.3.0-1/autotests/karchivetest.cpp
--- 6.0.0-1/autotests/karchivetest.cpp	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/autotests/karchivetest.cpp	2024-05-31 13:23:53.000000000 +0000
@@ -802,6 +802,10 @@ void KArchiveTest::testTarRootDir() // b
 
 void KArchiveTest::testTarLongNonASCIINames() // bug 266141
 {
+#ifdef Q_OS_WIN
+    QSKIP("tar test file encoding not windows compatible");
+#endif
+
     const QString tarName = QString("karchive-long-non-ascii-names.tar");
     const QString longName = QString::fromUtf8("раз-два-три-четыре-пять-вышел-зайчик-погулять-вдруг-охотник-выбегает-прямо-в-зайчика.txt");
 
@@ -832,6 +836,10 @@ void KArchiveTest::testTarLongNonASCIINa
 
 void KArchiveTest::testTarShortNonASCIINames() // bug 266141
 {
+#ifdef Q_OS_WIN
+    QSKIP("tar test file encoding not windows compatible");
+#endif
+
     KTar tar(QFINDTESTDATA(QString("tar_non_ascii_file_name.tar.gz")));
 
     QVERIFY(tar.open(QIODevice::ReadOnly));
diff -pruN 6.0.0-1/debian/changelog 6.3.0-1/debian/changelog
--- 6.0.0-1/debian/changelog	2024-03-24 09:42:32.000000000 +0000
+++ 6.3.0-1/debian/changelog	2024-06-09 12:45:56.000000000 +0000
@@ -1,3 +1,14 @@
+kf6-karchive (6.3.0-1) experimental; urgency=medium
+
+  [ Patrick Franz ]
+  * New upstream release (6.3.0).
+  * Bump Standards-Version to 4.7.0 (No changes needed).
+  * Update build-deps and deps with the info from cmake.
+  * Modernize building by using dh-sequence build-dependencies and
+    dropping manually specified addons and buildsystems for dh.
+
+ -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:45:56 +0200
+
 kf6-karchive (6.0.0-1) experimental; urgency=medium
 
   [ Patrick Franz ]
diff -pruN 6.0.0-1/debian/control 6.3.0-1/debian/control
--- 6.0.0-1/debian/control	2024-03-24 09:03:54.000000000 +0000
+++ 6.3.0-1/debian/control	2024-06-08 10:54:29.000000000 +0000
@@ -6,17 +6,18 @@ Uploaders: Aurélien COUDERC <coucouf@de
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.0.0~),
+               extra-cmake-modules (>= 6.3.0~),
                libbz2-dev,
                liblzma-dev,
                libzstd-dev,
                pkgconf,
-               pkg-kde-tools (>= 0.17.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/karchive
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive.git
diff -pruN 6.0.0-1/debian/rules 6.3.0-1/debian/rules
--- 6.0.0-1/debian/rules	2024-03-24 09:03:01.000000000 +0000
+++ 6.3.0-1/debian/rules	2024-06-08 10:54:45.000000000 +0000
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with kf6,pkgkde_symbolshelper --buildsystem kf6 --without build_stamp
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON
diff -pruN 6.0.0-1/debian/upstream/signing-key.asc 6.3.0-1/debian/upstream/signing-key.asc
--- 6.0.0-1/debian/upstream/signing-key.asc	2024-03-24 08:53:19.000000000 +0000
+++ 6.3.0-1/debian/upstream/signing-key.asc	2024-06-07 22:16:45.000000000 +0000
@@ -80,3 +80,24 @@ RUqSlBSJqC4WqZmkB73i16MljvT0+4v2upmud4JK
 oS4=
 =yOFv
 -----END PGP PUBLIC KEY BLOCK-----
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+
+mDMEZZxtxBYJKwYBBAHaRw8BAQdAm/8PHszWuXJwUEeEwowgbi7fIeUDP/r9X14f
+Azm23ay0JU5pY29sYXMgRmVsbGEgPG5pY29sYXMuZmVsbGFAa2RlLm9yZz6IkwQT
+FgoAOxYhBJCpaKyoRTfMJ7meryyN9Yem1KrBBQJlnG8zAhsDBQsJCAcCAiICBhUK
+CQgLAgQWAgMBAh4HAheAAAoJECyN9Yem1KrBeP4BAIKpXwECsL4VtZtg2h6uUCZg
+e6oALUd6LYH6+DAM2cGzAP9nRCB06lOnWPiz3PccQDeGPGTl4fJXM63rXIKvxI8n
+C7QkTmljb2xhcyBGZWxsYSA8bmljb2xhcy5mZWxsYUBnbXguZGU+iJMEExYKADsW
+IQSQqWisqEU3zCe5nq8sjfWHptSqwQUCZZxtxAIbAwULCQgHAgIiAgYVCgkICwIE
+FgIDAQIeBwIXgAAKCRAsjfWHptSqwb/cAQDdwi3Ujltdb58uFEN9Wxvv2a/PmJJr
+v76mHWmXqia0UwD/fpQfF7W6Iv6tEoqE2VQjMdboRqumV2m9lDyB3OPwtg+4MwRl
+nG3EFgkrBgEEAdpHDwEBB0ABCziM0Ive6TFO3hWrLxpYFCti3xUL7fLLdJqIJYHc
+O4h4BBgWCgAgFiEEkKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGyAACgkQLI31
+h6bUqsFXfQD9G8xNZ6QbfOeP/ARYPH7xUcc2U4/kPjoP8+R/MRnshPMBANDv6T3y
+BxoNXQRYK65x7ghXOSZcQyBLfVuSQshzf/oBuDgEZZxtxBIKKwYBBAGXVQEFAQEH
+QAOAXtH8j+F4XstbXodRsjUSLSQx3doS6cssY8XiZWZ5AwEIB4h4BBgWCgAgFiEE
+kKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGwwACgkQLI31h6bUqsFomwD/Zy41
+I8jssyuukIKsRefmsvFeeMKEJgFp0WuZQaZnKEIBANbtyBSxCOkD+5GYm1cjG6nr
+yPRSi/2EuYie6axT6ZIN
+=Noyp
+-----END PGP PUBLIC KEY BLOCK-----
diff -pruN 6.0.0-1/poqm/de/karchive6_qt.po 6.3.0-1/poqm/de/karchive6_qt.po
--- 6.0.0-1/poqm/de/karchive6_qt.po	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/poqm/de/karchive6_qt.po	2024-05-31 13:23:53.000000000 +0000
@@ -1,16 +1,17 @@
+# SPDX-FileCopyrightText: 2024 Johannes Obermayr <johannesobermayr@gmx.de>
 # Frederik Schwarzer <schwarzer@kde.org>, 2023.
 msgid ""
 msgstr ""
 "Project-Id-Version: l 10n-support\n"
-"PO-Revision-Date: 2023-03-18 17:51+0100\n"
-"Last-Translator: Frederik Schwarzer <schwarzer@kde.org>\n"
+"PO-Revision-Date: 2024-04-26 16:53+0200\n"
+"Last-Translator: Johannes Obermayr <johannesobermayr@gmx.de>\n"
 "Language-Team: German <kde-i18n-de@kde.org>\n"
 "Language: de\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Lokalize 22.12.3\n"
+"X-Generator: Lokalize 24.02.2\n"
 "X-Qt-Contexts: true\n"
 
 #: k7zip.cpp:2320
@@ -48,6 +49,7 @@ msgstr "Der nächste Vorspann hat eine G
 msgctxt "K7Zip|"
 msgid "Failed read next header size; should read %1, read %2"
 msgstr ""
+"Die Größe des nächsten Vorspanns kann nicht gelesen werden; Soll: %1, Ist: %2"
 
 #: k7zip.cpp:2394
 msgctxt "K7Zip|"
@@ -119,11 +121,14 @@ msgstr "Derzeit keine Datei ausgewählt"
 msgctxt "K7Zip|"
 msgid "Application error: 7-Zip file must be open before being written into"
 msgstr ""
+"Anwendungsfehler: Die 7-Zip-Datei muss vor dem Hineinschreiben geöffnet sein"
 
 #: k7zip.cpp:2901 k7zip.cpp:2993
 msgctxt "K7Zip|"
 msgid "Application error: attempted to write into non-writable 7-Zip file"
 msgstr ""
+"Anwendungsfehler: In eine nicht beschreibbare 7-Zip-Datei kann nicht "
+"geschrieben werden"
 
 #: kar.cpp:56 kar.cpp:63 kar.cpp:70 kar.cpp:77
 msgctxt "KAr|"
@@ -284,34 +289,41 @@ msgstr ""
 #, qt-format
 msgctxt "KTar|"
 msgid "Couldn't write alignment: %1"
-msgstr ""
+msgstr "Die Ausrichtung kann nicht geschrieben werden: %1"
 
 #: ktar.cpp:761 ktar.cpp:844 ktar.cpp:913
 msgctxt "KTar|"
 msgid "Application error: TAR file must be open before being written into"
 msgstr ""
+"Anwendungsfehler: Die TAR-Datei muss vor dem Hineinschreiben geöffnet sein"
 
 #: ktar.cpp:767
 msgctxt "KTar|"
 msgid "Application error: attempted to write into non-writable 7-Zip file"
 msgstr ""
+"Anwendungsfehler: In eine nicht beschreibbare 7-Zip-Datei kann nicht "
+"geschrieben werden"
 
 #: ktar.cpp:774
 #, qt-format
 msgctxt "KTar|"
 msgid "Application limitation: Can not add file larger than %1 bytes"
 msgstr ""
+"Anwendungsbegrenzung: Dateien größer als %1 Bytes können nicht hinzugefügt "
+"werden"
 
 #: ktar.cpp:828
 #, qt-format
 msgctxt "KTar|"
 msgid "Failed to write header: %1"
-msgstr ""
+msgstr "Der Vorspann kann nicht geschrieben werden: %1"
 
 #: ktar.cpp:850 ktar.cpp:919
 msgctxt "KTar|"
 msgid "Application error: attempted to write into non-writable TAR file"
 msgstr ""
+"Anwendungsfehler: Es wird versucht in eine nicht beschreibbare TAR-Datei zu "
+"schreiben"
 
 #: kzip.cpp:463 kzip.cpp:482
 #, qt-format
@@ -390,7 +402,7 @@ msgstr "Ungültige ZIP-Datei. Unerwartet
 #, qt-format
 msgctxt "KZip|"
 msgid "Invalid ZIP file. Unrecognized header at offset %1"
-msgstr ""
+msgstr "Ungültige ZIP-Datei. Unerkannter Vorspann bei Versatz %1"
 
 #: kzip.cpp:844
 #, qt-format
@@ -414,21 +426,24 @@ msgstr ""
 msgctxt "KZip|"
 msgid "Application error: ZIP file must be open before being written into"
 msgstr ""
+"Anwendungsfehler: Die ZIP-Datei muss vor dem Hineinschreiben geöffnet sein"
 
 #: kzip.cpp:1055
 msgctxt "KZip|"
 msgid "Application error: attempted to write into non-writable ZIP file"
 msgstr ""
+"Anwendungsfehler: In eine nicht beschreibbare ZIP-Datei kann nicht "
+"geschrieben werden"
 
 #: kzip.cpp:1061
 msgctxt "KZip|"
 msgid "Cannot create a device. Disk full?"
-msgstr ""
+msgstr "Das Gerät kann nicht erstellt werden. Ist das Laufwerk voll?"
 
 #: kzip.cpp:1067
 msgctxt "KZip|"
 msgid "Cannot seek in ZIP file. Disk full?"
-msgstr ""
+msgstr "In der ZIP-Datei kann nicht gesucht werden. Ist das Laufwerk voll?"
 
 #: kzip.cpp:1209
 msgctxt "KZip|"
@@ -439,7 +454,7 @@ msgstr "Es kann nicht in das Archiv gesc
 #, qt-format
 msgctxt "KZip|"
 msgid "Could not open compression device: %1"
-msgstr ""
+msgstr "Das Komprimierungsgerät kann nicht geöffnet werden: %1"
 
 #: kzip.cpp:1315
 msgctxt "KZip|"
diff -pruN 6.0.0-1/poqm/eo/karchive6_qt.po 6.3.0-1/poqm/eo/karchive6_qt.po
--- 6.0.0-1/poqm/eo/karchive6_qt.po	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/poqm/eo/karchive6_qt.po	2024-05-31 13:23:53.000000000 +0000
@@ -1,15 +1,15 @@
 # translation of karchive6_qt.pot to Esperanto
 # Copyright (C) 2022 Free Software Foundation, Inc.
 # This file is distributed under the same license as the karchive package.
-# Oliver Kellogg <okellogg@users.sourceforge.net>, 2023.
+# Oliver Kellogg <olivermkellogg@gmail.com>, 2023.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: karchive\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2022-10-20 02:58+0200\n"
-"PO-Revision-Date: 2023-05-08 20:32+0100\n"
-"Last-Translator: Oliver Kellogg <okellogg@users.sourceforge.net>\n"
+"PO-Revision-Date: 2024-05-05 18:09+0100\n"
+"Last-Translator: Oliver Kellogg <olivermkellogg@gmail.com>\n"
 "Language-Team: Esperanto <kde-i18n-eo@kde.org>\n"
 "Language: eo\n"
 "MIME-Version: 1.0\n"
@@ -105,8 +105,8 @@ msgstr "Nevalida"
 msgctxt "K7Zip|"
 msgid "Read size failed (checkRecordsSize: %1, d->pos - ppp: %2, size: %3)"
 msgstr ""
-"Legita grandeco malsukcesis (kontroluRecordsSize: %1, d->pos - ppp: %2, "
-"grandeco: %3)"
+"Legograndeco malsukcesis (checkRecordsSize: %1, d->pos - ppp: %2, grandeco: "
+"%3)"
 
 #: k7zip.cpp:2797
 msgctxt "K7Zip|"
diff -pruN 6.0.0-1/poqm/fr/karchive6_qt.po 6.3.0-1/poqm/fr/karchive6_qt.po
--- 6.0.0-1/poqm/fr/karchive6_qt.po	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/poqm/fr/karchive6_qt.po	2024-05-31 13:23:53.000000000 +0000
@@ -1,17 +1,17 @@
-# SPDX-FileCopyrightText: 2022, 2023 Xavier Besnard <xavier.besnard@kde.org>
+# SPDX-FileCopyrightText: 2022, 2023, 2024 Xavier Besnard <xavier.besnard@kde.org>
 # Xavier Besnard <xavier.besnard@kde.org>, 2023.
 msgid ""
 msgstr ""
 "Project-Id-Version: karchive5_qt\n"
-"PO-Revision-Date: 2023-10-12 09:15+0200\n"
-"Last-Translator: Xavier BESNARD <xavier.besnard@neuf.fr>\n"
-"Language-Team: French <kde-francophone@kde.org>\n"
+"PO-Revision-Date: 2024-04-25 14:16+0200\n"
+"Last-Translator: Xavier Besnard <xavier.besnard@kde.org>\n"
+"Language-Team: French <French <kde-francophone@kde.org>>\n"
 "Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
-"X-Generator: Lokalize 23.08.1\n"
+"X-Generator: Lokalize 23.08.5\n"
 "X-Qt-Contexts: true\n"
 
 #: k7zip.cpp:2320
@@ -103,7 +103,7 @@ msgctxt "K7Zip|"
 msgid "Read size failed (checkRecordsSize: %1, d->pos - ppp: %2, size: %3)"
 msgstr ""
 "Échec de la lecture de la taille (Taille de vérification des "
-"enregistrements : %1, d -> pos - ppp : %2, size : %3)"
+"enregistrements : %1, d -> pos - ppp : %2, taille : %3)"
 
 #: k7zip.cpp:2797
 msgctxt "K7Zip|"
diff -pruN 6.0.0-1/poqm/he/karchive6_qt.po 6.3.0-1/poqm/he/karchive6_qt.po
--- 6.0.0-1/poqm/he/karchive6_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/he/karchive6_qt.po	2024-05-31 13:23:53.000000000 +0000
@@ -0,0 +1,456 @@
+# SPDX-FileCopyrightText: 2024 Yaron Shahrabani <sh.yaron@gmail.com>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"POT-Creation-Date: \n"
+"PO-Revision-Date: 2024-04-11 06:47+0300\n"
+"Last-Translator: Yaron Shahrabani <sh.yaron@gmail.com>\n"
+"Language-Team: צוות התרגום של KDE ישראל\n"
+"Language: he\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=4; plural=(n == 1) ? 0 : ((n == 2) ? 1 : ((n > 10 && "
+"n % 10 == 0) ? 2 : 3));\n"
+"X-Qt-Contexts: true\n"
+"X-Generator: Lokalize 23.08.5\n"
+
+#: k7zip.cpp:2320
+msgctxt "K7Zip|"
+msgid "Could not get underlying device"
+msgstr "לא ניתן לקבל את ההתקן שמתחת"
+
+#: k7zip.cpp:2328
+msgctxt "K7Zip|"
+msgid "Read header failed"
+msgstr "קריאת הכותרת נכשלה"
+
+#: k7zip.cpp:2334
+msgctxt "K7Zip|"
+msgid "Check signature failed"
+msgstr "בדיקת החתימה נכשלה"
+
+#: k7zip.cpp:2357
+msgctxt "K7Zip|"
+msgid "Bad CRC"
+msgstr "CRC שגוי"
+
+#: k7zip.cpp:2366
+msgctxt "K7Zip|"
+msgid "Next header size is too big"
+msgstr "גודל הכותרת הבאה גדול מדי"
+
+#: k7zip.cpp:2371
+msgctxt "K7Zip|"
+msgid "Next header size is less than zero"
+msgstr "גודל הכותרת הבאה קטן מאפס"
+
+#: k7zip.cpp:2382
+#, qt-format
+msgctxt "K7Zip|"
+msgid "Failed read next header size; should read %1, read %2"
+msgstr "קריאת גודל הכותרת הבאה נכשלה, אמור להיות %1, התקבל %2"
+
+#: k7zip.cpp:2394
+msgctxt "K7Zip|"
+msgid "Bad next header CRC"
+msgstr "ה־CRC של הכותרת הבאה שגוי"
+
+#: k7zip.cpp:2402
+msgctxt "K7Zip|"
+msgid "Error in header"
+msgstr "שגיאה בכותרת"
+
+#: k7zip.cpp:2421
+msgctxt "K7Zip|"
+msgid "Wrong header type"
+msgstr "סוג הכותרת שגוי"
+
+#: k7zip.cpp:2431 k7zip.cpp:2437
+msgctxt "K7Zip|"
+msgid "Not implemented"
+msgstr "לא ממומש"
+
+#: k7zip.cpp:2443
+msgctxt "K7Zip|"
+msgid "Error while reading main streams information"
+msgstr "שגיאה בקריאת פרטי התזרימים הראשיים"
+
+#: k7zip.cpp:2461
+msgctxt "K7Zip|"
+msgid "Error while reading header"
+msgstr "שגיאה בקריאת כותרת"
+
+#: k7zip.cpp:2521
+msgctxt "K7Zip|"
+msgid "Error reading modification time"
+msgstr "שגיאה בקריאת מועד השינוי"
+
+#: k7zip.cpp:2567
+msgctxt "K7Zip|"
+msgid "Error reading MTime"
+msgstr "שגיאה בקריאת מועד השינוי"
+
+#: k7zip.cpp:2574
+msgctxt "K7Zip|"
+msgid "Invalid"
+msgstr "שגוי"
+
+#: k7zip.cpp:2596
+#, qt-format
+msgctxt "K7Zip|"
+msgid "Read size failed (checkRecordsSize: %1, d->pos - ppp: %2, size: %3)"
+msgstr "קריאת הגודל נכשלה (checkRecordsSize: %1,‏ d->pos - ppp: %2, גודל: %3)"
+
+#: k7zip.cpp:2797
+msgctxt "K7Zip|"
+msgid "Write error"
+msgstr "שגיאת כתיבה"
+
+#: k7zip.cpp:2827
+msgctxt "K7Zip|"
+msgid "Failed while encoding header"
+msgstr "קידוד הכותרת נכשל"
+
+#: k7zip.cpp:2871
+msgctxt "K7Zip|"
+msgid "No file currently selected"
+msgstr "לא נבחר קובץ"
+
+#: k7zip.cpp:2895 k7zip.cpp:2945 k7zip.cpp:2987
+msgctxt "K7Zip|"
+msgid "Application error: 7-Zip file must be open before being written into"
+msgstr "שגיאת יישום: קובץ ה־‎7-Zip חייב להיות פתוח לפני הכתיבה אליו"
+
+#: k7zip.cpp:2901 k7zip.cpp:2993
+msgctxt "K7Zip|"
+msgid "Application error: attempted to write into non-writable 7-Zip file"
+msgstr "שגיאת יישום: התבצע ניסיון לכתוב לקובץ ‎7-Zip שנעול לכתיבה"
+
+#: kar.cpp:56 kar.cpp:63 kar.cpp:70 kar.cpp:77
+msgctxt "KAr|"
+msgid "Cannot write to AR file"
+msgstr "לא ניתן לכתוב לקובץ AR"
+
+#: kar.cpp:90
+#, qt-format
+msgctxt "KAr|"
+msgid "Unsupported mode %1"
+msgstr "המצב %1 לא נתמך"
+
+#: kar.cpp:101
+msgctxt "KAr|"
+msgid "Invalid main magic"
+msgstr "קסם ראשי שגוי"
+
+#: kar.cpp:118
+msgctxt "KAr|"
+msgid "Invalid magic"
+msgstr "קסם שגוי"
+
+#: kar.cpp:129
+msgctxt "KAr|"
+msgid "Invalid size"
+msgstr "גודל שגוי"
+
+#: kar.cpp:149
+msgctxt "KAr|"
+msgid "Invalid longfilename reference"
+msgstr "הפניית שם קובץ ארוך (longfilename) שגויה"
+
+#: kar.cpp:153
+msgctxt "KAr|"
+msgid "Invalid longfilename position reference"
+msgstr "הפניית מקום שם קובץ ארוך (longfilename) שגויה"
+
+#: karchive.cpp:157
+msgctxt "KArchive|"
+msgid "No filename or device was specified"
+msgstr "לא צוין שם קובץ או התקן"
+
+#: karchive.cpp:162
+#, qt-format
+msgctxt "KArchive|"
+msgid "Could not open device in mode %1"
+msgstr "לא ניתן לפתוח את ההתקן במצב %1"
+
+#: karchive.cpp:189
+#, qt-format
+msgctxt "KArchive|"
+msgid "QSaveFile creation for %1 failed: %2"
+msgstr "יצירת QSaveFile עבור %1 נכשלה: %2"
+
+#: karchive.cpp:208
+#, qt-format
+msgctxt "KArchive|"
+msgid "Unsupported mode %1"
+msgstr "המצב %1 לא נתמך"
+
+#: karchive.cpp:217
+msgctxt "KArchive|"
+msgid "Archive already closed"
+msgstr "הארכיון כבר סגור"
+
+#: karchive.cpp:268
+#, qt-format
+msgctxt "KArchive|"
+msgid "%1 doesn't exist or is not a regular file."
+msgstr "%1 לא קיים או שאינו קובץ רגיל"
+
+#: karchive.cpp:274
+#, qt-format
+msgctxt "KArchive|"
+msgid ""
+"Failed accessing the file %1 for adding to the archive. The error was: %2"
+msgstr "הגישה לקובץ %1 לצורך הוספה לארכיון נכשלה. השגיאה הייתה: %2"
+
+#: karchive.cpp:320
+#, qt-format
+msgctxt "KArchive|"
+msgid "Couldn't open file %1: %2"
+msgstr "לא ניתן לפתוח את הקובץ %1‏: %2"
+
+#: karchive.cpp:354
+#, qt-format
+msgctxt "KArchive|"
+msgid "Directory %1 does not exist"
+msgstr "התיקייה %1 לא קיימת"
+
+#: karchive.cpp:428
+#, qt-format
+msgctxt "KArchive|"
+msgid "Writing failed: %1"
+msgstr "הכתיבה נכשלה: %1"
+
+#: karchive_p.h:56
+msgctxt "QIODevice|"
+msgid "Unknown error"
+msgstr "שגיאה לא ידועה"
+
+#: kcompressiondevice.cpp:487
+msgctxt "KCompressionDevice|"
+msgid "Could not write. Partition full?"
+msgstr "לא ניתן לכתוב. המחיצה מלאה?"
+
+#: krcc.cpp:83 krcc.cpp:90 krcc.cpp:97 krcc.cpp:104
+msgctxt "KRcc|"
+msgid "Cannot write to RCC file"
+msgstr "לא ניתן לכתוב לקובץ RCC"
+
+#: krcc.cpp:117
+#, qt-format
+msgctxt "KRcc|"
+msgid "Unsupported mode %1"
+msgstr "המצב %1 לא נתמך"
+
+#: krcc.cpp:124
+#, qt-format
+msgctxt "KRcc|"
+msgid "Failed to register resource %1 under prefix %2"
+msgstr "רישום המשאב %1 תחת הקידומת %2 נכשל"
+
+#: ktar.cpp:344
+#, qt-format
+msgctxt "KTar|"
+msgid "File %1 does not exist"
+msgstr "הקובץ %1 לא קיים"
+
+#: ktar.cpp:351
+#, qt-format
+msgctxt "KTar|"
+msgid "Archive %1 is corrupt"
+msgstr "הארכיון %1 פגום"
+
+#: ktar.cpp:355
+msgctxt "KTar|"
+msgid "Disk full"
+msgstr "הכונן מלא"
+
+#: ktar.cpp:389
+msgctxt "KTar|"
+msgid "Could not get underlying device"
+msgstr "לא ניתן לקבל את ההתקן שמתחת"
+
+#: ktar.cpp:404
+msgctxt "KTar|"
+msgid "Could not read tar header"
+msgstr "לא ניתן לקרוא את כותרת ה־tar"
+
+#: ktar.cpp:582
+#, qt-format
+msgctxt "KTar|"
+msgid "Failed to write back temp file: %1"
+msgstr "כתיבת קובץ זמני בחזרה נכשלה: %1"
+
+#: ktar.cpp:638
+#, qt-format
+msgctxt "KTar|"
+msgid "Couldn't write alignment: %1"
+msgstr "לא ניתן לכתוב יישור: %1"
+
+#: ktar.cpp:761 ktar.cpp:844 ktar.cpp:913
+msgctxt "KTar|"
+msgid "Application error: TAR file must be open before being written into"
+msgstr "שגיאת יישום: קובץ ה־TAR חייב להיות פתוח לפני הכתיבה אליו"
+
+#: ktar.cpp:767
+msgctxt "KTar|"
+msgid "Application error: attempted to write into non-writable 7-Zip file"
+msgstr "שגיאת יישום: התבצע ניסיון לכתוב לקובץ ‎7-Zip שנעול לכתיבה"
+
+#: ktar.cpp:774
+#, qt-format
+msgctxt "KTar|"
+msgid "Application limitation: Can not add file larger than %1 bytes"
+msgstr "מגבלת יישום: אי אפשר להוסיף קובץ שגודלו מעבר ל־%1 בתים"
+
+#: ktar.cpp:828
+#, qt-format
+msgctxt "KTar|"
+msgid "Failed to write header: %1"
+msgstr "כתיבת הכותרת נכשלה: %1"
+
+#: ktar.cpp:850 ktar.cpp:919
+msgctxt "KTar|"
+msgid "Application error: attempted to write into non-writable TAR file"
+msgstr "שגיאת יישום: התבצע ניסיון לכתוב לקובץ TAR שנעול לכתיבה"
+
+#: kzip.cpp:463 kzip.cpp:482
+#, qt-format
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file. (Error code: %1)"
+msgstr "קובץ ZIP פגום. סוף הקובץ מפתיע. (קוד שגיאה: %1)"
+
+#: kzip.cpp:506
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Negative name length"
+msgstr "קובץ ZIP פגום. אורך שמות שלילי"
+
+#: kzip.cpp:511
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Name not completely read (#2)"
+msgstr "קובץ ZIP פגום. השם לא נקרא במלואו (מס׳ 2)"
+
+#: kzip.cpp:530
+msgctxt "KZip|"
+msgid "Invalid ZIP File. Broken ExtraField."
+msgstr "קובץ ZIP פגום. שדה נוסף (ExtraField) פגום."
+
+#: kzip.cpp:544 kzip.cpp:567
+msgctxt "KZip|"
+msgid "Could not seek to next header token"
+msgstr "לא ניתן לחתור לאסימון הכותרת הבא"
+
+#: kzip.cpp:559
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file. (#5)"
+msgstr "קובץ ZIP פגום. סוף הקובץ מפתיע. (מס׳ 5)"
+
+#: kzip.cpp:575
+msgctxt "KZip|"
+msgid "Could not seek to file compressed size"
+msgstr "לא ניתן לחתור לגודל מכווץ של קובץ"
+
+#: kzip.cpp:591
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file. (#1)"
+msgstr "קובץ ZIP פגום. סוף הקובץ מפתיע. (מס׳ 1)"
+
+#: kzip.cpp:624
+msgctxt "KZip|"
+msgid ""
+"Invalid ZIP file, central entry too short (not long enough for valid entry)"
+msgstr ""
+"קובץ ZIP פגום, הרשומה המרכזית קצרה מדי (לא ארוכה מספיק כדי להיות רשומה תקינה)"
+
+#: kzip.cpp:633
+msgctxt "KZip|"
+msgid "Invalid ZIP file, file path name length smaller or equal to zero"
+msgstr "קובץ ZIP פגום, אורך שם נתיב קובץ קטן או שווה לאפס"
+
+#: kzip.cpp:715
+msgctxt "KZip|"
+msgid "Invalid ZIP file, found empty entry name"
+msgstr "קובץ ZIP פגום, נמצא שם רשומה ריק"
+
+#: kzip.cpp:756
+#, qt-format
+msgctxt "KZip|"
+msgid "File %1 is in folder %2, but %3 is actually a file."
+msgstr "הקובץ %1 הוא בתיקייה %2, אך %3 הוא בעצם קובץ."
+
+#: kzip.cpp:767
+msgctxt "KZip|"
+msgid "Could not seek to next entry"
+msgstr "לא ניתן לחתור לרשומה הבאה"
+
+#: kzip.cpp:780 kzip.cpp:790
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file."
+msgstr "קובץ ZIP פגום. סוף הקובץ מפתיע."
+
+#: kzip.cpp:813
+#, qt-format
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unrecognized header at offset %1"
+msgstr "קובץ ZIP שגוי. כותרת שגויה בהיסט %1"
+
+#: kzip.cpp:844
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not seek to next file header: %1"
+msgstr "לא ניתן לחתור לכותרת הקובץ הבאה: %1"
+
+#: kzip.cpp:870 kzip.cpp:966
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not write file header: %1"
+msgstr "לא ניתן לכתוב את כותרת הקובץ: %1"
+
+#: kzip.cpp:1013
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not write central dir record: %1"
+msgstr "לא ניתן לכתוב רשומת תיקייה מרכזית: %1"
+
+#: kzip.cpp:1049
+msgctxt "KZip|"
+msgid "Application error: ZIP file must be open before being written into"
+msgstr "שגיאת יישום: קובץ ה־ZIP חייב להיות פתוח לפני הכתיבה אליו"
+
+#: kzip.cpp:1055
+msgctxt "KZip|"
+msgid "Application error: attempted to write into non-writable ZIP file"
+msgstr "שגיאת יישום: התבצע ניסיון לכתוב לקובץ ‎ZIP שנעול לכתיבה"
+
+#: kzip.cpp:1061
+msgctxt "KZip|"
+msgid "Cannot create a device. Disk full?"
+msgstr "לא ניתן ליצור התקן. הכונן מלא?"
+
+#: kzip.cpp:1067
+msgctxt "KZip|"
+msgid "Cannot seek in ZIP file. Disk full?"
+msgstr "לא ניתן לחתור בקובץ ZIP. הכונן מלא?"
+
+#: kzip.cpp:1209
+msgctxt "KZip|"
+msgid "Could not write to the archive. Disk full?"
+msgstr "לא ניתן לכתוב לארכיון. הכונן מלא?"
+
+#: kzip.cpp:1228
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not open compression device: %1"
+msgstr "לא ניתן לפתוח התקן דחיסה: %1"
+
+#: kzip.cpp:1315
+msgctxt "KZip|"
+msgid "No file or device"
+msgstr "אין קובץ או התקן"
+
+#: kzip.cpp:1328
+#, qt-format
+msgctxt "KZip|"
+msgid "Error writing data: %1"
+msgstr "שגיאה בכתיבת נתונים: %1"
diff -pruN 6.0.0-1/poqm/lv/karchive6_qt.po 6.3.0-1/poqm/lv/karchive6_qt.po
--- 6.0.0-1/poqm/lv/karchive6_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/lv/karchive6_qt.po	2024-05-31 13:23:53.000000000 +0000
@@ -0,0 +1,463 @@
+# SPDX-FileCopyrightText: 2024 Toms Trasuns <toms.trasuns@posteo.net>
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-03-10 13:17+0200\n"
+"Last-Translator: Toms Trasuns <toms.trasuns@posteo.net>\n"
+"Language-Team: Latvian <kde-i18n-doc@kde.org>\n"
+"Language: lv\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Qt-Contexts: true\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n != 0 ? 1 : "
+"2);\n"
+"X-Generator: Lokalize 23.08.5\n"
+
+#: k7zip.cpp:2320
+msgctxt "K7Zip|"
+msgid "Could not get underlying device"
+msgstr "Neizdevās iegūt pamata ierīci"
+
+#: k7zip.cpp:2328
+msgctxt "K7Zip|"
+msgid "Read header failed"
+msgstr "Neizdevās nolasīt galveni"
+
+#: k7zip.cpp:2334
+msgctxt "K7Zip|"
+msgid "Check signature failed"
+msgstr "Neizdevās pārbaudīt parakstu"
+
+#: k7zip.cpp:2357
+msgctxt "K7Zip|"
+msgid "Bad CRC"
+msgstr "Nederīgs CRC"
+
+#: k7zip.cpp:2366
+msgctxt "K7Zip|"
+msgid "Next header size is too big"
+msgstr "Nākamais galvenes izmērs ir par lielu"
+
+#: k7zip.cpp:2371
+msgctxt "K7Zip|"
+msgid "Next header size is less than zero"
+msgstr "Nākamais galvenes izmērs ir mazāks par nulli"
+
+#: k7zip.cpp:2382
+#, qt-format
+msgctxt "K7Zip|"
+msgid "Failed read next header size; should read %1, read %2"
+msgstr "Neizdevās nolasīt nākamo galvenes izmēru. Jābūt %1, nolasīja %2"
+
+#: k7zip.cpp:2394
+msgctxt "K7Zip|"
+msgid "Bad next header CRC"
+msgstr "Slikts nākamais galvenes CRC"
+
+#: k7zip.cpp:2402
+msgctxt "K7Zip|"
+msgid "Error in header"
+msgstr "Kļūda galvenē"
+
+#: k7zip.cpp:2421
+msgctxt "K7Zip|"
+msgid "Wrong header type"
+msgstr "Nepareizs galvenes tips"
+
+#: k7zip.cpp:2431 k7zip.cpp:2437
+msgctxt "K7Zip|"
+msgid "Not implemented"
+msgstr "Nav ieviests"
+
+#: k7zip.cpp:2443
+msgctxt "K7Zip|"
+msgid "Error while reading main streams information"
+msgstr "Kļūda, lasot pamata straumju informāciju"
+
+#: k7zip.cpp:2461
+msgctxt "K7Zip|"
+msgid "Error while reading header"
+msgstr "Kļūda, nolasot galveni"
+
+#: k7zip.cpp:2521
+msgctxt "K7Zip|"
+msgid "Error reading modification time"
+msgstr "Kļūda, nolasot izmaiņu laiku"
+
+#: k7zip.cpp:2567
+msgctxt "K7Zip|"
+msgid "Error reading MTime"
+msgstr "Kļūda, lasot „MTime“"
+
+#: k7zip.cpp:2574
+msgctxt "K7Zip|"
+msgid "Invalid"
+msgstr "Nederīgs"
+
+#: k7zip.cpp:2596
+#, qt-format
+msgctxt "K7Zip|"
+msgid "Read size failed (checkRecordsSize: %1, d->pos - ppp: %2, size: %3)"
+msgstr ""
+"Kļūda, lasot izmēru (checkRecordsSize: %1, d->pos - ppp: %2, izmērs: %3)"
+
+#: k7zip.cpp:2797
+msgctxt "K7Zip|"
+msgid "Write error"
+msgstr "Rakstīšanas kļūda"
+
+#: k7zip.cpp:2827
+msgctxt "K7Zip|"
+msgid "Failed while encoding header"
+msgstr "Neizdevās šifrēt galveni"
+
+#: k7zip.cpp:2871
+msgctxt "K7Zip|"
+msgid "No file currently selected"
+msgstr "Nav atlasīta datne"
+
+#: k7zip.cpp:2895 k7zip.cpp:2945 k7zip.cpp:2987
+msgctxt "K7Zip|"
+msgid "Application error: 7-Zip file must be open before being written into"
+msgstr ""
+"Programmas kļūda: „7-Zip“ datnei ir jābūt atvērtai, lai tajā varētu rakstīt"
+
+#: k7zip.cpp:2901 k7zip.cpp:2993
+msgctxt "K7Zip|"
+msgid "Application error: attempted to write into non-writable 7-Zip file"
+msgstr "Programmas kļūda: mēģinājums rakstīt nerakstāmā „7-zip“ datnē"
+
+#: kar.cpp:56 kar.cpp:63 kar.cpp:70 kar.cpp:77
+msgctxt "KAr|"
+msgid "Cannot write to AR file"
+msgstr "Neizdevās rakstīt AR datnē"
+
+#: kar.cpp:90
+#, qt-format
+msgctxt "KAr|"
+msgid "Unsupported mode %1"
+msgstr "Neatbalstīts režīms „%1“"
+
+#: kar.cpp:101
+msgctxt "KAr|"
+msgid "Invalid main magic"
+msgstr "Nederīgs pamata maģiskais skaitlis"
+
+#: kar.cpp:118
+msgctxt "KAr|"
+msgid "Invalid magic"
+msgstr "Nederīgs maģiskais skaitlis"
+
+#: kar.cpp:129
+msgctxt "KAr|"
+msgid "Invalid size"
+msgstr "Nederīgs izmērs"
+
+#: kar.cpp:149
+msgctxt "KAr|"
+msgid "Invalid longfilename reference"
+msgstr "Nederīga datnes garā nosaukuma atsauce"
+
+#: kar.cpp:153
+msgctxt "KAr|"
+msgid "Invalid longfilename position reference"
+msgstr "Nederīga datnes garā nosaukuma vietas atsauce"
+
+#: karchive.cpp:157
+msgctxt "KArchive|"
+msgid "No filename or device was specified"
+msgstr "Nav precizēts datnes nosaukums vai ierīce"
+
+#: karchive.cpp:162
+#, qt-format
+msgctxt "KArchive|"
+msgid "Could not open device in mode %1"
+msgstr "Nevarēja atvērt ierīci režīmā „%1“"
+
+#: karchive.cpp:189
+#, qt-format
+msgctxt "KArchive|"
+msgid "QSaveFile creation for %1 failed: %2"
+msgstr "Neizdevās „QSaveFile“ izveide attiecība uz „%1“: %2"
+
+#: karchive.cpp:208
+#, qt-format
+msgctxt "KArchive|"
+msgid "Unsupported mode %1"
+msgstr "Neatbalstīts režīms „%1“"
+
+#: karchive.cpp:217
+msgctxt "KArchive|"
+msgid "Archive already closed"
+msgstr "Arhīvs jau ir aizvērts"
+
+#: karchive.cpp:268
+#, qt-format
+msgctxt "KArchive|"
+msgid "%1 doesn't exist or is not a regular file."
+msgstr "%1 nepastāv vai nav parasta datne."
+
+#: karchive.cpp:274
+#, qt-format
+msgctxt "KArchive|"
+msgid ""
+"Failed accessing the file %1 for adding to the archive. The error was: %2"
+msgstr "Neizdevās piekļūt datnei „%1“, lai to pievienotu arhīvam. Kļūda ir: %2"
+
+#: karchive.cpp:320
+#, qt-format
+msgctxt "KArchive|"
+msgid "Couldn't open file %1: %2"
+msgstr " Neizdevās atvērts datni „%1“: %2"
+
+#: karchive.cpp:354
+#, qt-format
+msgctxt "KArchive|"
+msgid "Directory %1 does not exist"
+msgstr "Mape „%1“ nepastāv"
+
+#: karchive.cpp:428
+#, qt-format
+msgctxt "KArchive|"
+msgid "Writing failed: %1"
+msgstr "Rakstīšanas kļūda: %1"
+
+#: karchive_p.h:56
+msgctxt "QIODevice|"
+msgid "Unknown error"
+msgstr "Nezināma kļūda"
+
+#: kcompressiondevice.cpp:487
+msgctxt "KCompressionDevice|"
+msgid "Could not write. Partition full?"
+msgstr "Neizdevās rakstīt. Varbūt diska nodalījumā trūkst vietas?"
+
+#: krcc.cpp:83 krcc.cpp:90 krcc.cpp:97 krcc.cpp:104
+msgctxt "KRcc|"
+msgid "Cannot write to RCC file"
+msgstr "Neizdevās rakstīt RCC datnē"
+
+#: krcc.cpp:117
+#, qt-format
+msgctxt "KRcc|"
+msgid "Unsupported mode %1"
+msgstr "Neatbalstīts režīms „%1“"
+
+#: krcc.cpp:124
+#, qt-format
+msgctxt "KRcc|"
+msgid "Failed to register resource %1 under prefix %2"
+msgstr "Neizdevās reģistrēt resursu „%1“ ar prefiksu %2"
+
+#: ktar.cpp:344
+#, qt-format
+msgctxt "KTar|"
+msgid "File %1 does not exist"
+msgstr "Datne „%1“ nepastāv"
+
+#: ktar.cpp:351
+#, qt-format
+msgctxt "KTar|"
+msgid "Archive %1 is corrupt"
+msgstr "Arhīvs „%1“ ir bojāts"
+
+#: ktar.cpp:355
+msgctxt "KTar|"
+msgid "Disk full"
+msgstr "Disks ir pilns"
+
+#: ktar.cpp:389
+msgctxt "KTar|"
+msgid "Could not get underlying device"
+msgstr "Neizdevās iegūt pamata ierīci"
+
+#: ktar.cpp:404
+msgctxt "KTar|"
+msgid "Could not read tar header"
+msgstr "Neizdevās nolasīt „tar“ galveni"
+
+#: ktar.cpp:582
+#, qt-format
+msgctxt "KTar|"
+msgid "Failed to write back temp file: %1"
+msgstr "Neizdevās pārrakstīt pagaidu datni: %1"
+
+#: ktar.cpp:638
+#, qt-format
+msgctxt "KTar|"
+msgid "Couldn't write alignment: %1"
+msgstr "Neizdevās rakstīt līdzinājumu: %1"
+
+#: ktar.cpp:761 ktar.cpp:844 ktar.cpp:913
+msgctxt "KTar|"
+msgid "Application error: TAR file must be open before being written into"
+msgstr "Programmas kļūda: TAR datnei ir jābūt atvērtai, lai tajā rakstītu"
+
+#: ktar.cpp:767
+msgctxt "KTar|"
+msgid "Application error: attempted to write into non-writable 7-Zip file"
+msgstr "Programmas kļūda: mēģinājums rakstīt nerakstāmā „7-zip“ datnē"
+
+#: ktar.cpp:774
+#, qt-format
+msgctxt "KTar|"
+msgid "Application limitation: Can not add file larger than %1 bytes"
+msgstr ""
+"Programmas ierobežojums: nevar pievienot datnes, kuru izmērs pārsniedz %1 "
+"baitus"
+
+#: ktar.cpp:828
+#, qt-format
+msgctxt "KTar|"
+msgid "Failed to write header: %1"
+msgstr "Neizdevās rakstīt galveni: %1"
+
+#: ktar.cpp:850 ktar.cpp:919
+msgctxt "KTar|"
+msgid "Application error: attempted to write into non-writable TAR file"
+msgstr "Programmas kļūda: mēģinājums rakstīt nerakstāmā TAR datnē"
+
+#: kzip.cpp:463 kzip.cpp:482
+#, qt-format
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file. (Error code: %1)"
+msgstr "Nederīga ZIP datne. Negaidītas datnes beigas. (Kļūdas kods: %1)"
+
+#: kzip.cpp:506
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Negative name length"
+msgstr "Nederīga ZIP datne. Negatīvs nosaukuma garums"
+
+#: kzip.cpp:511
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Name not completely read (#2)"
+msgstr "Nederīga ZIP datne. Nosaukums nav pilnībā nolasīts (#2)"
+
+#: kzip.cpp:530
+msgctxt "KZip|"
+msgid "Invalid ZIP File. Broken ExtraField."
+msgstr "Nederīga ZIP datne. Kļūdains papildu lauks („ExtraField“)."
+
+#: kzip.cpp:544 kzip.cpp:567
+msgctxt "KZip|"
+msgid "Could not seek to next header token"
+msgstr "Neizdevās atrast nākamo galvenes marķējumu"
+
+#: kzip.cpp:559
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file. (#5)"
+msgstr "Nederīga ZIP datne. Negaidītas datnes beigas. (#5)"
+
+#: kzip.cpp:575
+msgctxt "KZip|"
+msgid "Could not seek to file compressed size"
+msgstr "Neizdevās atrast saspiesto datnes izmēru"
+
+#: kzip.cpp:591
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file. (#1)"
+msgstr "Nederīga ZIP datne. Nederīgas datnes beigas. (#1)"
+
+#: kzip.cpp:624
+msgctxt "KZip|"
+msgid ""
+"Invalid ZIP file, central entry too short (not long enough for valid entry)"
+msgstr ""
+"Nederīga ZIP datne, centrālais ieraksts ir par īsu (nav pietiekams derīgam "
+"ierakstam)"
+
+#: kzip.cpp:633
+msgctxt "KZip|"
+msgid "Invalid ZIP file, file path name length smaller or equal to zero"
+msgstr ""
+"Nederīga ZIP datne, datnes ceļa nosaukuma garums ir mazāks vai vienāds ar "
+"nulli"
+
+#: kzip.cpp:715
+msgctxt "KZip|"
+msgid "Invalid ZIP file, found empty entry name"
+msgstr "Nederīga ZIP datne, atrasts tukšs ieraksta nosaukums"
+
+#: kzip.cpp:756
+#, qt-format
+msgctxt "KZip|"
+msgid "File %1 is in folder %2, but %3 is actually a file."
+msgstr "Datne „%1“ atrodas mapē „%2“, bet „%3“ patiesībā ir arhīvs."
+
+#: kzip.cpp:767
+msgctxt "KZip|"
+msgid "Could not seek to next entry"
+msgstr "Neizdevās atrast nākamo ierakstu"
+
+#: kzip.cpp:780 kzip.cpp:790
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file."
+msgstr "Nederīga ZIP datne. Negaidītas datnes beigas."
+
+#: kzip.cpp:813
+#, qt-format
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unrecognized header at offset %1"
+msgstr "Nederīga ZIP datne. Neatpazīta galvene ar nobīdi %1"
+
+#: kzip.cpp:844
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not seek to next file header: %1"
+msgstr "Neizdevās atrast nākamās datnes galveni: %1"
+
+#: kzip.cpp:870 kzip.cpp:966
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not write file header: %1"
+msgstr "Neizdevās ierakstīt datnes galveni: %1"
+
+#: kzip.cpp:1013
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not write central dir record: %1"
+msgstr "Neizdevās rakstīt centrālo „dir“ ierakstu: %1"
+
+#: kzip.cpp:1049
+msgctxt "KZip|"
+msgid "Application error: ZIP file must be open before being written into"
+msgstr ""
+"Programmas kļūda: ZIP datnei ir jābūt atvērtai, lai tajā varētu rakstīt"
+
+#: kzip.cpp:1055
+msgctxt "KZip|"
+msgid "Application error: attempted to write into non-writable ZIP file"
+msgstr "Programmas kļūda: mēģinājums rakstīt nerakstāmā ZIP datnē"
+
+#: kzip.cpp:1061
+msgctxt "KZip|"
+msgid "Cannot create a device. Disk full?"
+msgstr "Neizdodas izveidot ierīci. Vai diskā trūkst vietas?"
+
+#: kzip.cpp:1067
+msgctxt "KZip|"
+msgid "Cannot seek in ZIP file. Disk full?"
+msgstr "Neizdodas atrast ZIP datnē. Vai diskā trūkst vietas?"
+
+#: kzip.cpp:1209
+msgctxt "KZip|"
+msgid "Could not write to the archive. Disk full?"
+msgstr "Neizdodas rakstīt arhīvā. Vai diskā trūkst vietas?"
+
+#: kzip.cpp:1228
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not open compression device: %1"
+msgstr "Neizdevās atvērt saspiešanas ierīci: %1"
+
+#: kzip.cpp:1315
+msgctxt "KZip|"
+msgid "No file or device"
+msgstr "Nav datnes vai ierīces"
+
+#: kzip.cpp:1328
+#, qt-format
+msgctxt "KZip|"
+msgid "Error writing data: %1"
+msgstr "Kļūda ierakstot datus: %1"
diff -pruN 6.0.0-1/poqm/pl/karchive6_qt.po 6.3.0-1/poqm/pl/karchive6_qt.po
--- 6.0.0-1/poqm/pl/karchive6_qt.po	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/poqm/pl/karchive6_qt.po	2024-05-31 13:23:53.000000000 +0000
@@ -9,10 +9,9 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Qt-Contexts: true\n"
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "|| n%100>=20) ? 1 : 2);\n"
-"X-Generator: Lokalize 22.12.3\n"
+"X-Qt-Contexts: true\n"
 
 #: k7zip.cpp:2320
 msgctxt "K7Zip|"
diff -pruN 6.0.0-1/poqm/ro/karchive6_qt.po 6.3.0-1/poqm/ro/karchive6_qt.po
--- 6.0.0-1/poqm/ro/karchive6_qt.po	1970-01-01 00:00:00.000000000 +0000
+++ 6.3.0-1/poqm/ro/karchive6_qt.po	2024-05-31 13:23:53.000000000 +0000
@@ -0,0 +1,455 @@
+# Sergiu Bivol <sergiu@cip.md>, 2024.
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"PO-Revision-Date: 2024-03-02 15:51+0000\n"
+"Last-Translator: Sergiu Bivol <sergiu@cip.md>\n"
+"Language-Team: Romanian <kde-i18n-ro@kde.org>\n"
+"Language: ro\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=n==1 ? 0 : (n==0 || (n%100 > 0 && n%100 < "
+"20)) ? 1 : 2;\n"
+"X-Generator: Lokalize 21.12.3\n"
+"X-Qt-Contexts: true\n"
+
+#: k7zip.cpp:2320
+msgctxt "K7Zip|"
+msgid "Could not get underlying device"
+msgstr ""
+
+#: k7zip.cpp:2328
+msgctxt "K7Zip|"
+msgid "Read header failed"
+msgstr "Citirea antetului a eșuat"
+
+#: k7zip.cpp:2334
+msgctxt "K7Zip|"
+msgid "Check signature failed"
+msgstr "Verificarea semnăturii a eșuat"
+
+#: k7zip.cpp:2357
+msgctxt "K7Zip|"
+msgid "Bad CRC"
+msgstr "CRC rău"
+
+#: k7zip.cpp:2366
+msgctxt "K7Zip|"
+msgid "Next header size is too big"
+msgstr "Dimensiunea antetului următor e prea mare"
+
+#: k7zip.cpp:2371
+msgctxt "K7Zip|"
+msgid "Next header size is less than zero"
+msgstr "Dimensiunea antetului următor e mai mică de zero"
+
+#: k7zip.cpp:2382
+#, qt-format
+msgctxt "K7Zip|"
+msgid "Failed read next header size; should read %1, read %2"
+msgstr ""
+
+#: k7zip.cpp:2394
+msgctxt "K7Zip|"
+msgid "Bad next header CRC"
+msgstr ""
+
+#: k7zip.cpp:2402
+msgctxt "K7Zip|"
+msgid "Error in header"
+msgstr "Eroare în antet"
+
+#: k7zip.cpp:2421
+msgctxt "K7Zip|"
+msgid "Wrong header type"
+msgstr "Tip greșit de antet"
+
+#: k7zip.cpp:2431 k7zip.cpp:2437
+msgctxt "K7Zip|"
+msgid "Not implemented"
+msgstr "Neimplementat"
+
+#: k7zip.cpp:2443
+msgctxt "K7Zip|"
+msgid "Error while reading main streams information"
+msgstr "Eroare la citirea informației despre fluxuri principale"
+
+#: k7zip.cpp:2461
+msgctxt "K7Zip|"
+msgid "Error while reading header"
+msgstr "Eroare la citirea antetului"
+
+#: k7zip.cpp:2521
+msgctxt "K7Zip|"
+msgid "Error reading modification time"
+msgstr "Eroare la citirea timpului de modificare"
+
+#: k7zip.cpp:2567
+msgctxt "K7Zip|"
+msgid "Error reading MTime"
+msgstr "Eroare la citirea MTime"
+
+#: k7zip.cpp:2574
+msgctxt "K7Zip|"
+msgid "Invalid"
+msgstr "Nevalid"
+
+#: k7zip.cpp:2596
+#, qt-format
+msgctxt "K7Zip|"
+msgid "Read size failed (checkRecordsSize: %1, d->pos - ppp: %2, size: %3)"
+msgstr ""
+
+#: k7zip.cpp:2797
+msgctxt "K7Zip|"
+msgid "Write error"
+msgstr "Eroare de scriere"
+
+#: k7zip.cpp:2827
+msgctxt "K7Zip|"
+msgid "Failed while encoding header"
+msgstr "Codificarea antetului a eșuat"
+
+#: k7zip.cpp:2871
+msgctxt "K7Zip|"
+msgid "No file currently selected"
+msgstr "Niciun fișier ales acum"
+
+#: k7zip.cpp:2895 k7zip.cpp:2945 k7zip.cpp:2987
+msgctxt "K7Zip|"
+msgid "Application error: 7-Zip file must be open before being written into"
+msgstr ""
+"Eroare aplicație: fișierul 7-Zip trebuie deschis înainte de a se scrie în el"
+
+#: k7zip.cpp:2901 k7zip.cpp:2993
+msgctxt "K7Zip|"
+msgid "Application error: attempted to write into non-writable 7-Zip file"
+msgstr ""
+
+#: kar.cpp:56 kar.cpp:63 kar.cpp:70 kar.cpp:77
+msgctxt "KAr|"
+msgid "Cannot write to AR file"
+msgstr ""
+
+#: kar.cpp:90
+#, qt-format
+msgctxt "KAr|"
+msgid "Unsupported mode %1"
+msgstr ""
+
+#: kar.cpp:101
+msgctxt "KAr|"
+msgid "Invalid main magic"
+msgstr ""
+
+#: kar.cpp:118
+msgctxt "KAr|"
+msgid "Invalid magic"
+msgstr ""
+
+#: kar.cpp:129
+msgctxt "KAr|"
+msgid "Invalid size"
+msgstr ""
+
+#: kar.cpp:149
+msgctxt "KAr|"
+msgid "Invalid longfilename reference"
+msgstr ""
+
+#: kar.cpp:153
+msgctxt "KAr|"
+msgid "Invalid longfilename position reference"
+msgstr ""
+
+#: karchive.cpp:157
+msgctxt "KArchive|"
+msgid "No filename or device was specified"
+msgstr ""
+
+#: karchive.cpp:162
+#, qt-format
+msgctxt "KArchive|"
+msgid "Could not open device in mode %1"
+msgstr ""
+
+#: karchive.cpp:189
+#, qt-format
+msgctxt "KArchive|"
+msgid "QSaveFile creation for %1 failed: %2"
+msgstr ""
+
+#: karchive.cpp:208
+#, qt-format
+msgctxt "KArchive|"
+msgid "Unsupported mode %1"
+msgstr ""
+
+#: karchive.cpp:217
+msgctxt "KArchive|"
+msgid "Archive already closed"
+msgstr ""
+
+#: karchive.cpp:268
+#, qt-format
+msgctxt "KArchive|"
+msgid "%1 doesn't exist or is not a regular file."
+msgstr ""
+
+#: karchive.cpp:274
+#, qt-format
+msgctxt "KArchive|"
+msgid ""
+"Failed accessing the file %1 for adding to the archive. The error was: %2"
+msgstr ""
+
+#: karchive.cpp:320
+#, qt-format
+msgctxt "KArchive|"
+msgid "Couldn't open file %1: %2"
+msgstr ""
+
+#: karchive.cpp:354
+#, qt-format
+msgctxt "KArchive|"
+msgid "Directory %1 does not exist"
+msgstr ""
+
+#: karchive.cpp:428
+#, qt-format
+msgctxt "KArchive|"
+msgid "Writing failed: %1"
+msgstr ""
+
+#: karchive_p.h:56
+msgctxt "QIODevice|"
+msgid "Unknown error"
+msgstr ""
+
+#: kcompressiondevice.cpp:487
+msgctxt "KCompressionDevice|"
+msgid "Could not write. Partition full?"
+msgstr ""
+
+#: krcc.cpp:83 krcc.cpp:90 krcc.cpp:97 krcc.cpp:104
+msgctxt "KRcc|"
+msgid "Cannot write to RCC file"
+msgstr ""
+
+#: krcc.cpp:117
+#, qt-format
+msgctxt "KRcc|"
+msgid "Unsupported mode %1"
+msgstr ""
+
+#: krcc.cpp:124
+#, qt-format
+msgctxt "KRcc|"
+msgid "Failed to register resource %1 under prefix %2"
+msgstr ""
+
+#: ktar.cpp:344
+#, qt-format
+msgctxt "KTar|"
+msgid "File %1 does not exist"
+msgstr ""
+
+#: ktar.cpp:351
+#, qt-format
+msgctxt "KTar|"
+msgid "Archive %1 is corrupt"
+msgstr ""
+
+#: ktar.cpp:355
+msgctxt "KTar|"
+msgid "Disk full"
+msgstr ""
+
+#: ktar.cpp:389
+msgctxt "KTar|"
+msgid "Could not get underlying device"
+msgstr ""
+
+#: ktar.cpp:404
+msgctxt "KTar|"
+msgid "Could not read tar header"
+msgstr ""
+
+#: ktar.cpp:582
+#, qt-format
+msgctxt "KTar|"
+msgid "Failed to write back temp file: %1"
+msgstr ""
+
+#: ktar.cpp:638
+#, qt-format
+msgctxt "KTar|"
+msgid "Couldn't write alignment: %1"
+msgstr ""
+
+#: ktar.cpp:761 ktar.cpp:844 ktar.cpp:913
+msgctxt "KTar|"
+msgid "Application error: TAR file must be open before being written into"
+msgstr ""
+
+#: ktar.cpp:767
+msgctxt "KTar|"
+msgid "Application error: attempted to write into non-writable 7-Zip file"
+msgstr ""
+
+#: ktar.cpp:774
+#, qt-format
+msgctxt "KTar|"
+msgid "Application limitation: Can not add file larger than %1 bytes"
+msgstr ""
+
+#: ktar.cpp:828
+#, qt-format
+msgctxt "KTar|"
+msgid "Failed to write header: %1"
+msgstr ""
+
+#: ktar.cpp:850 ktar.cpp:919
+msgctxt "KTar|"
+msgid "Application error: attempted to write into non-writable TAR file"
+msgstr ""
+
+#: kzip.cpp:463 kzip.cpp:482
+#, qt-format
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file. (Error code: %1)"
+msgstr ""
+
+#: kzip.cpp:506
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Negative name length"
+msgstr ""
+
+#: kzip.cpp:511
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Name not completely read (#2)"
+msgstr ""
+
+#: kzip.cpp:530
+msgctxt "KZip|"
+msgid "Invalid ZIP File. Broken ExtraField."
+msgstr ""
+
+#: kzip.cpp:544 kzip.cpp:567
+msgctxt "KZip|"
+msgid "Could not seek to next header token"
+msgstr ""
+
+#: kzip.cpp:559
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file. (#5)"
+msgstr ""
+
+#: kzip.cpp:575
+msgctxt "KZip|"
+msgid "Could not seek to file compressed size"
+msgstr ""
+
+#: kzip.cpp:591
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file. (#1)"
+msgstr ""
+
+#: kzip.cpp:624
+msgctxt "KZip|"
+msgid ""
+"Invalid ZIP file, central entry too short (not long enough for valid entry)"
+msgstr ""
+
+#: kzip.cpp:633
+msgctxt "KZip|"
+msgid "Invalid ZIP file, file path name length smaller or equal to zero"
+msgstr ""
+
+#: kzip.cpp:715
+msgctxt "KZip|"
+msgid "Invalid ZIP file, found empty entry name"
+msgstr ""
+
+#: kzip.cpp:756
+#, qt-format
+msgctxt "KZip|"
+msgid "File %1 is in folder %2, but %3 is actually a file."
+msgstr ""
+
+#: kzip.cpp:767
+msgctxt "KZip|"
+msgid "Could not seek to next entry"
+msgstr ""
+
+#: kzip.cpp:780 kzip.cpp:790
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unexpected end of file."
+msgstr ""
+
+#: kzip.cpp:813
+#, qt-format
+msgctxt "KZip|"
+msgid "Invalid ZIP file. Unrecognized header at offset %1"
+msgstr ""
+
+#: kzip.cpp:844
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not seek to next file header: %1"
+msgstr ""
+
+#: kzip.cpp:870 kzip.cpp:966
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not write file header: %1"
+msgstr ""
+
+#: kzip.cpp:1013
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not write central dir record: %1"
+msgstr ""
+
+#: kzip.cpp:1049
+msgctxt "KZip|"
+msgid "Application error: ZIP file must be open before being written into"
+msgstr ""
+
+#: kzip.cpp:1055
+msgctxt "KZip|"
+msgid "Application error: attempted to write into non-writable ZIP file"
+msgstr ""
+
+#: kzip.cpp:1061
+msgctxt "KZip|"
+msgid "Cannot create a device. Disk full?"
+msgstr ""
+
+#: kzip.cpp:1067
+msgctxt "KZip|"
+msgid "Cannot seek in ZIP file. Disk full?"
+msgstr ""
+
+#: kzip.cpp:1209
+msgctxt "KZip|"
+msgid "Could not write to the archive. Disk full?"
+msgstr ""
+
+#: kzip.cpp:1228
+#, qt-format
+msgctxt "KZip|"
+msgid "Could not open compression device: %1"
+msgstr ""
+
+#: kzip.cpp:1315
+msgctxt "KZip|"
+msgid "No file or device"
+msgstr ""
+
+#: kzip.cpp:1328
+#, qt-format
+msgctxt "KZip|"
+msgid "Error writing data: %1"
+msgstr ""
diff -pruN 6.0.0-1/poqm/tr/karchive6_qt.po 6.3.0-1/poqm/tr/karchive6_qt.po
--- 6.0.0-1/poqm/tr/karchive6_qt.po	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/poqm/tr/karchive6_qt.po	2024-05-31 13:23:53.000000000 +0000
@@ -1,8 +1,8 @@
-# Emir SARI <emir_sari@icloud.com>, 2022, 2023.
+# SPDX-FileCopyrightText: 2022, 2023, 2024 Emir SARI <emir_sari@icloud.com>
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
-"PO-Revision-Date: 2023-03-20 22:01+0300\n"
+"PO-Revision-Date: 2024-02-24 22:27+0300\n"
 "Last-Translator: Emir SARI <emir_sari@icloud.com>\n"
 "Language-Team: Turkish <kde-l10n-tr@kde.org>\n"
 "Language: tr\n"
@@ -11,7 +11,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "X-Qt-Contexts: true\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
-"X-Generator: Lokalize 22.12.3\n"
+"X-Generator: Lokalize 24.04.70\n"
 
 #: k7zip.cpp:2320
 msgctxt "K7Zip|"
@@ -67,7 +67,7 @@ msgstr "Yanlış üstbilgi türü"
 #: k7zip.cpp:2431 k7zip.cpp:2437
 msgctxt "K7Zip|"
 msgid "Not implemented"
-msgstr "Uygulamaya eklenmemiş"
+msgstr "Gerçeklenmedi"
 
 #: k7zip.cpp:2443
 msgctxt "K7Zip|"
diff -pruN 6.0.0-1/poqm/zh_CN/karchive6_qt.po 6.3.0-1/poqm/zh_CN/karchive6_qt.po
--- 6.0.0-1/poqm/zh_CN/karchive6_qt.po	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/poqm/zh_CN/karchive6_qt.po	2024-05-31 13:23:53.000000000 +0000
@@ -1,7 +1,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: kdeorg\n"
-"PO-Revision-Date: 2024-02-05 11:37\n"
+"PO-Revision-Date: 2024-04-22 15:58\n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"
 "MIME-Version: 1.0\n"
diff -pruN 6.0.0-1/src/karchiveentry.h 6.3.0-1/src/karchiveentry.h
--- 6.0.0-1/src/karchiveentry.h	2024-02-21 11:23:15.000000000 +0000
+++ 6.3.0-1/src/karchiveentry.h	2024-05-31 13:23:53.000000000 +0000
@@ -14,6 +14,9 @@
 
 #include <karchive_export.h>
 
+#include <QDateTime>
+#include <QString>
+
 #ifdef Q_OS_WIN
 #include <qplatformdefs.h> // mode_t
 #endif
